"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                             */
;/* empty css                                                                    */
;/* empty css                                                                         */
;/* empty css                                                                */
const ParamsConfig = require("../../../components/ParamsConfig.vue2.js");
;/* empty css                                                                  */
;/* empty css                                                                 */
;/* empty css                                                                        */
;/* empty css                                                                 */
;/* empty css                                                                       */
;/* empty css                                                                        */
;/* empty css                                                                    */
;/* empty css                                                                     */
;/* empty css                                                                     */
;/* empty css                                                                  */
;/* empty css                                                               */
;/* empty css                                                                  */
;/* empty css                                                                        */
;/* empty css                                                                  */
const Vue = require("vue");
const common = require("../../utils/common.js");
const OptionConfig = require("../../../components/OptionConfig.vue.js");
const index = require("../aside/index.js");
const EventConfigButton = require("../../../components/EventConfigButton.vue.js");
const DataSourceSelect = require("../../../components/DataSourceSelect.vue.js");
const ConditionConfigButton = ;/* empty css                                              */
const DefaultValueEditor = require("../components/DefaultValueEditor.vue.js");
const eventBus = require("../../utils/eventBus.js");
const FieldSetMapping = require("../../../components/FieldSetMapping.vue2.js");
const OnlyFLowConfigButton = ;/* empty css                                             */
const FormulaEditorInput = require("../../../components/FormulaEditorInput.vue.js");
const index$1 = require("../../../api/index.js");
;/* empty css                                                                  */
;/* empty css                                                                   */
;/* empty css                                                                  */
;/* empty css                                                                   */
;/* empty css                                                                 */
;/* empty css                                                                     */
;/* empty css                                                                  */
;/* empty css                                                                  */
;/* empty css                                                                */
;/* empty css                                                                */
;/* empty css                                                                      */
require("../../../../../node_modules/element-plus/theme-chalk/el-tooltip.css.js");
;/* empty css                                                                 */
;/* empty css                                                                        */
;/* empty css                                       */
const _pluginVue_exportHelper = require("../../../../../_virtual/_plugin-vue_export-helper.js");
;/* empty css                                                                 */
;/* empty css                                                                   */
require("../../../components/TemplateSelector.vue.js");
require("../../table/default.js");
;/* empty css                                 */
;/* empty css                       */
;/* empty css                             */
require("../../../store/index.js");
;/* empty css              */
const index$2 = require("../../../../../node_modules/element-plus/es/components/collapse/index.js");
const index$3 = require("../../../../../node_modules/element-plus/es/components/select/index.js");
const index$4 = require("../../../../../node_modules/element-plus/es/components/form/index.js");
const index$5 = require("../../../../../node_modules/element-plus/es/components/input/index.js");
const index$6 = require("../../../../../node_modules/element-plus/es/components/checkbox/index.js");
const index$7 = require("../../../../../node_modules/element-plus/es/components/radio/index.js");
const index$8 = require("../../../../../node_modules/element-plus/es/components/input-number/index.js");
const index$9 = require("../../../../../node_modules/element-plus/es/components/switch/index.js");
const _hoisted_1 = {
  key: 0,
  class: "data-source-fields"
};
const _hoisted_2 = { class: "field-item" };
const _hoisted_3 = { class: "field-item" };
const _hoisted_4 = { class: "field-item" };
const _hoisted_5 = { class: "field-item" };
const _hoisted_6 = { class: "field-item" };
const _hoisted_7 = {
  class: "field-item",
  style: { "flex-direction": "column", "align-items": "start" }
};
const _hoisted_8 = { class: "field-item" };
const _hoisted_9 = {
  key: 1,
  class: "data-source-fields"
};
const _hoisted_10 = { class: "field-item" };
const _hoisted_11 = { class: "field-item" };
const _hoisted_12 = { style: { "display": "flex", "align-items": "center", "gap": "8px" } };
const _hoisted_13 = { class: "data-source-fields" };
const _hoisted_14 = { class: "field-item" };
const _hoisted_15 = { class: "field-item" };
const _hoisted_16 = { class: "field-item" };
const _hoisted_17 = { class: "field-item" };
const _hoisted_18 = { style: { "display": "flex", "align-items": "center", "gap": "20px", "width": "100%" } };
const _hoisted_19 = {
  key: 0,
  style: { "margin-bottom": "12px", "width": "100%" }
};
const _hoisted_20 = {
  key: 1,
  style: { "margin-bottom": "12px", "width": "100%" }
};
const _sfc_main = {
  __name: "widgets",
  setup(__props) {
    const currentInstance = Vue.getCurrentInstance();
    const ctx = currentInstance.proxy;
    const currentItem = Vue.computed(() => {
      return common.getCurrentItem();
    });
    const activeName = Vue.ref(["common"]);
    const validationRules = {
      idCard: "请输入正确的身份证号",
      creditCode: "请输入正确的统一社会信用代码",
      zipCode: "请输入正确的邮编",
      fax: "请输入正确的传真号码",
      bankCard: "请输入正确的银行卡号",
      email: "请输入正确的邮箱",
      mobile: "请输入正确的手机号",
      phone: "请输入正确的座机号",
      mobilePhone: "请输入正确的手机号或座机号",
      regex: "请输入正确的格式",
      custom: "请输入正确的值"
    };
    const getValidationPlaceholder = () => {
      if (currentItem.value.validationType) {
        return validationRules[currentItem.value.validationType] || "请输入提示信息";
      }
      return "请输入提示信息";
    };
    const handleValidationChange = (value) => {
      if (value != "none") {
        currentItem.value.validationMessage = validationRules[value] || "请输入正确的值";
        if (value === "regex") {
          currentItem.value.validationPattern = "";
        } else if (value === "custom") {
          currentItem.value.validationDataSource = "";
        }
      } else {
        currentItem.value.validationMessage = "";
        currentItem.value.validationPattern = "";
        currentItem.value.validationDataSource = "";
      }
    };
    Vue.computed(() => {
      return [
        { id: "source1", name: "数据源1" },
        { id: "source2", name: "数据源2" }
      ];
    });
    const fieldTypes = Vue.computed(() => {
      const basicComponents = index.default.find((c) => c.name === "basic");
      const advancedComponents = index.default.find((c) => c.name === "advanced");
      return [...basicComponents == null ? void 0 : basicComponents.children, ...advancedComponents == null ? void 0 : advancedComponents.children];
    });
    function handleFieldTypeChange(fieldType) {
      const item = currentItem.value;
      const fieldsData = common.getEditConfigData().fieldsData;
      const fieldInData = fieldsData == null ? void 0 : fieldsData.find((f) => {
        var _a;
        return ((_a = f.component) == null ? void 0 : _a.id) === item.id;
      });
      if (fieldType === "textarea") {
        fieldInData.h = 2;
      } else {
        fieldInData.h = 1;
      }
      eventBus.default.emit("resizeEvent");
    }
    function handleFormatChange(value) {
      switch (value) {
        case "yuan":
          currentItem.value.suffix = "元";
          break;
        case "wan":
          currentItem.value.suffix = "万元";
          break;
        case "million":
          currentItem.value.suffix = "百万元";
          break;
        case "percentage":
          currentItem.value.suffix = "%";
          break;
        case "permillage":
          currentItem.value.suffix = "‰";
          break;
        case "permillion":
          currentItem.value.suffix = "‱";
          break;
        default:
          currentItem.value.suffix = "";
          break;
      }
    }
    function handleEventConfirm(data) {
      currentItem.value.eventConfig = data;
    }
    function handleLabelLinkEventConfirm(data) {
      currentItem.value.labelLinkEventConfig = data;
    }
    function handleSuffixButtonConfirm(data) {
      currentItem.value.suffixButtonConfig = data;
    }
    function handleOnlyFlowConfirm(data) {
      currentItem.value.callbackEventConfig = data;
    }
    const dialogLoading = Vue.ref(false);
    const globalDialogs = Vue.ref([]);
    const currDialog = Vue.ref({});
    const tableOptions = Vue.ref(null);
    const tableFields = Vue.computed(() => {
      var _a, _b, _c, _d, _e, _f;
      if (((_a = currDialog.value) == null ? void 0 : _a.tableContent) === "custom") {
        return ((_c = (_b = currDialog.value) == null ? void 0 : _b.customTableConfig) == null ? void 0 : _c.fieldsData) || [];
      } else if (((_d = currDialog.value) == null ? void 0 : _d.tableContent) === "select") {
        return [
          ...((_e = tableOptions.value) == null ? void 0 : _e.fieldsData) || [],
          ...((_f = tableOptions.value) == null ? void 0 : _f.hiddenFields) || []
        ];
      }
      return [];
    });
    const loadGlobalDialogs = async () => {
      dialogLoading.value = true;
      try {
        const response = await index$1.default.getAllTemplateDialog(ctx.$http);
        globalDialogs.value = [];
        for (let dialog of response) {
          globalDialogs.value.push({
            id: dialog.id,
            name: dialog.name,
            ...JSON.parse(dialog.config)
          });
        }
      } catch (error) {
        console.error("🚀 ~ 获取全局弹层数据失败:", error);
        globalDialogs.value = [];
      } finally {
        dialogLoading.value = false;
      }
    };
    Vue.watch(
      () => currentItem.value.dialogSource,
      async (newSource, oldSource) => {
        var _a, _b;
        if (newSource === "global" && oldSource !== "global") {
          await loadGlobalDialogs();
        }
        if ((_a = currentItem.value) == null ? void 0 : _a.suffixDialogId) {
          handleDialogChange((_b = currentItem.value) == null ? void 0 : _b.suffixDialogId);
        }
      },
      { immediate: true }
    );
    const handleDialogChange = async (dialogId) => {
      if (!dialogId) {
        currDialog.value = {};
        tableOptions.value = null;
        return;
      }
      const selectedDialog = dialogOptions.value.find(
        (dialog) => dialog.id === dialogId
      );
      if (selectedDialog) {
        currDialog.value = { ...selectedDialog };
        console.log("🚀 ~ 选中弹层配置:", currDialog.value);
        if (currDialog.value.contentSource === "table" && currDialog.value.tableContent === "select") {
          const tableId = currDialog.value.subTableId;
          if (tableId) {
            try {
              const response = await index$1.default.getById(ctx.$http, tableId, false);
              tableOptions.value = JSON.parse(response.context);
              console.log("🚀 ~ 需要获取表格配置，表格ID:", tableId);
            } catch (error) {
              console.error("🚀 ~ 获取表格配置失败:", error);
            }
          }
        } else {
          tableOptions.value = null;
        }
      }
    };
    const dialogOptions = Vue.computed(() => {
      if (currentItem.value.dialogSource === "global") {
        return globalDialogs.value;
      } else {
        return common.getEditConfigData().dialogs || [];
      }
    });
    const isSysSelect = Vue.computed(() => {
      return currentItem.value.fieldType == "userSelect" || currentItem.value.fieldType == "roleSelect" || currentItem.value.fieldType == "orgSelect";
    });
    Vue.watch(
      () => {
        var _a;
        return (_a = currentItem.value) == null ? void 0 : _a.suffixDialogId;
      },
      (dialogId) => {
        if (dialogId) {
          handleDialogChange(dialogId);
        }
      }
      // {
      //   immediate: true,
      // }
    );
    return (_ctx, _cache) => {
      const _component_el_option = index$3.ElOption;
      const _component_el_select = index$3.ElSelect;
      const _component_el_input = index$5.ElInput;
      const _component_el_form_item = index$4.ElFormItem;
      const _component_el_checkbox = index$6.ElCheckbox;
      const _component_el_radio_button = index$7.ElRadioButton;
      const _component_el_radio_group = index$7.ElRadioGroup;
      const _component_el_input_number = index$8.ElInputNumber;
      const _component_el_switch = index$9.ElSwitch;
      const _component_ParamsConfig = ParamsConfig.default;
      const _component_el_form = index$4.ElForm;
      const _component_el_collapse_item = index$2.ElCollapseItem;
      const _component_el_collapse = index$2.ElCollapse;
      return Vue.openBlock(), Vue.createBlock(_component_el_collapse, {
        class: "setting",
        modelValue: Vue.unref(activeName),
        "onUpdate:modelValue": _cache[55] || (_cache[55] = ($event) => Vue.isRef(activeName) ? activeName.value = $event : null)
      }, {
        default: Vue.withCtx(() => [
          Vue.createVNode(_component_el_collapse_item, {
            name: "common",
            title: "基本属性"
          }, {
            default: Vue.withCtx(() => [
              Vue.createVNode(_component_el_select, {
                modelValue: Vue.unref(currentItem).fieldType,
                "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => Vue.unref(currentItem).fieldType = $event),
                size: "small",
                class: "field-type-select",
                onChange: handleFieldTypeChange,
                placement: "bottom-end"
              }, {
                default: Vue.withCtx(() => [
                  (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(Vue.unref(fieldTypes), (type) => {
                    return Vue.openBlock(), Vue.createBlock(_component_el_option, {
                      key: type.fieldType,
                      label: type.label,
                      value: type.fieldType
                    }, null, 8, ["label", "value"]);
                  }), 128))
                ]),
                _: 1
              }, 8, ["modelValue"]),
              (Vue.openBlock(), Vue.createBlock(_component_el_form, {
                "label-position": "top",
                "label-width": "auto",
                model: Vue.unref(currentItem),
                key: Vue.unref(currentItem).id
              }, {
                default: Vue.withCtx(() => [
                  Vue.createVNode(_component_el_form_item, {
                    label: "标题",
                    required: ""
                  }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_input, {
                        modelValue: Vue.unref(currentItem).label,
                        "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => Vue.unref(currentItem).label = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.unref(currentItem).fieldType === "cascader" || Vue.unref(currentItem).fieldType === "area" || Vue.unref(currentItem).fieldType === "industry" || Vue.unref(isSysSelect) ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 0 }, [
                    Vue.createVNode(_component_el_form_item, { label: "真实值字段" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).fieldName,
                          "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => Vue.unref(currentItem).fieldName = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, { label: "显示字段" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).displayFieldName,
                          "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => Vue.unref(currentItem).displayFieldName = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    })
                  ], 64)) : (Vue.openBlock(), Vue.createBlock(_component_el_form_item, {
                    key: 1,
                    label: "字段名称"
                  }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_input, {
                        modelValue: Vue.unref(currentItem).fieldName,
                        "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => Vue.unref(currentItem).fieldName = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  })),
                  Vue.createVNode(_component_el_form_item, { label: "占位内容" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_input, {
                        modelValue: Vue.unref(currentItem).placeholder,
                        "onUpdate:modelValue": _cache[5] || (_cache[5] = ($event) => Vue.unref(currentItem).placeholder = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, null, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_checkbox, {
                        modelValue: Vue.unref(currentItem).credit,
                        "onUpdate:modelValue": _cache[6] || (_cache[6] = ($event) => Vue.unref(currentItem).credit = $event),
                        label: "征信"
                      }, null, 8, ["modelValue"]),
                      Vue.createVNode(_component_el_checkbox, {
                        modelValue: Vue.unref(currentItem).regulation,
                        "onUpdate:modelValue": _cache[7] || (_cache[7] = ($event) => Vue.unref(currentItem).regulation = $event),
                        label: "监管"
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "标签模式" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_radio_group, {
                        modelValue: Vue.unref(currentItem).labelMode,
                        "onUpdate:modelValue": _cache[8] || (_cache[8] = ($event) => Vue.unref(currentItem).labelMode = $event),
                        size: "small"
                      }, {
                        default: Vue.withCtx(() => [
                          Vue.createVNode(_component_el_radio_button, { value: "default" }, {
                            default: Vue.withCtx(() => _cache[56] || (_cache[56] = [
                              Vue.createTextVNode("默认")
                            ])),
                            _: 1
                          }),
                          Vue.createVNode(_component_el_radio_button, { value: "label" }, {
                            default: Vue.withCtx(() => _cache[57] || (_cache[57] = [
                              Vue.createTextVNode("标签")
                            ])),
                            _: 1
                          }),
                          Vue.createVNode(_component_el_radio_button, { value: "input" }, {
                            default: Vue.withCtx(() => _cache[58] || (_cache[58] = [
                              Vue.createTextVNode("输入框")
                            ])),
                            _: 1
                          })
                        ]),
                        _: 1
                      }, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "显示模式" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_radio_group, {
                        modelValue: Vue.unref(currentItem).displayMode,
                        "onUpdate:modelValue": _cache[9] || (_cache[9] = ($event) => Vue.unref(currentItem).displayMode = $event),
                        size: "small"
                      }, {
                        default: Vue.withCtx(() => [
                          Vue.createVNode(_component_el_radio_button, { value: "all" }, {
                            default: Vue.withCtx(() => _cache[59] || (_cache[59] = [
                              Vue.createTextVNode("始终显示")
                            ])),
                            _: 1
                          }),
                          Vue.createVNode(_component_el_radio_button, { value: "edit" }, {
                            default: Vue.withCtx(() => _cache[60] || (_cache[60] = [
                              Vue.createTextVNode("编辑时显示")
                            ])),
                            _: 1
                          }),
                          Vue.createVNode(_component_el_radio_button, { value: "query" }, {
                            default: Vue.withCtx(() => _cache[61] || (_cache[61] = [
                              Vue.createTextVNode("查看时显示")
                            ])),
                            _: 1
                          })
                        ]),
                        _: 1
                      }, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, null, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_checkbox, {
                        modelValue: Vue.unref(currentItem).disabled,
                        "onUpdate:modelValue": _cache[10] || (_cache[10] = ($event) => Vue.unref(currentItem).disabled = $event),
                        label: "只读"
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "提示信息" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_input, {
                        modelValue: Vue.unref(currentItem).tooltip,
                        "onUpdate:modelValue": _cache[11] || (_cache[11] = ($event) => Vue.unref(currentItem).tooltip = $event),
                        rows: 2,
                        type: "textarea",
                        resize: "none"
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "默认值" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(DefaultValueEditor.default, {
                        modelValue: Vue.unref(currentItem).defaultValue,
                        "onUpdate:modelValue": _cache[12] || (_cache[12] = ($event) => Vue.unref(currentItem).defaultValue = $event),
                        config: Vue.unref(currentItem)
                      }, null, 8, ["modelValue", "config"])
                    ]),
                    _: 1
                  }),
                  Vue.unref(currentItem).fieldType === "text" || Vue.unref(currentItem).fieldType === "textarea" ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 2 }, [
                    Vue.createVNode(_component_el_form_item, { label: "最大长度" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_input_number, {
                          style: { "width": "100%" },
                          modelValue: Vue.unref(currentItem).maxLength,
                          "onUpdate:modelValue": _cache[13] || (_cache[13] = ($event) => Vue.unref(currentItem).maxLength = $event),
                          min: 0,
                          max: 1e4,
                          "controls-position": "right"
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, null, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_checkbox, {
                          modelValue: Vue.unref(currentItem).showWordCount,
                          "onUpdate:modelValue": _cache[14] || (_cache[14] = ($event) => Vue.unref(currentItem).showWordCount = $event),
                          label: "显示字数统计"
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, { label: "数据脱敏" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).dataMasking,
                          "onUpdate:modelValue": _cache[15] || (_cache[15] = ($event) => Vue.unref(currentItem).dataMasking = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    })
                  ], 64)) : Vue.createCommentVNode("", true),
                  Vue.createVNode(_component_el_form_item, { label: "标签超链接" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_switch, {
                        modelValue: Vue.unref(currentItem).labelLink,
                        "onUpdate:modelValue": _cache[16] || (_cache[16] = ($event) => Vue.unref(currentItem).labelLink = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.unref(currentItem).labelLink ? (Vue.openBlock(), Vue.createBlock(_component_el_form_item, {
                    key: 3,
                    label: "超链接事件配置"
                  }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(EventConfigButton.default, {
                        config: Vue.unref(currentItem).labelLinkEventConfig,
                        onConfirm: handleLabelLinkEventConfirm
                      }, null, 8, ["config"])
                    ]),
                    _: 1
                  })) : Vue.createCommentVNode("", true),
                  Vue.unref(currentItem).fieldType == "text" || Vue.unref(currentItem).fieldType == "number" ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 4 }, [
                    Vue.createVNode(_component_el_form_item, null, {
                      label: Vue.withCtx(() => _cache[62] || (_cache[62] = [
                        Vue.createElementVNode("span", null, "尾部按钮", -1)
                      ])),
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_radio_group, {
                          modelValue: Vue.unref(currentItem).suffixButton,
                          "onUpdate:modelValue": _cache[17] || (_cache[17] = ($event) => Vue.unref(currentItem).suffixButton = $event),
                          size: "small"
                        }, {
                          default: Vue.withCtx(() => [
                            Vue.createVNode(_component_el_radio_button, { value: "none" }, {
                              default: Vue.withCtx(() => _cache[63] || (_cache[63] = [
                                Vue.createTextVNode("无")
                              ])),
                              _: 1
                            }),
                            Vue.createVNode(_component_el_radio_button, { value: "dialog" }, {
                              default: Vue.withCtx(() => _cache[64] || (_cache[64] = [
                                Vue.createTextVNode("弹层选择")
                              ])),
                              _: 1
                            }),
                            Vue.createVNode(_component_el_radio_button, { value: "custom" }, {
                              default: Vue.withCtx(() => _cache[65] || (_cache[65] = [
                                Vue.createTextVNode("自定义")
                              ])),
                              _: 1
                            })
                          ]),
                          _: 1
                        }, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.unref(currentItem).suffixButton == "dialog" ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
                      Vue.createElementVNode("div", _hoisted_2, [
                        _cache[66] || (_cache[66] = Vue.createElementVNode("span", { class: "field-label" }, "按钮名称", -1)),
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).suffixDialogName,
                          "onUpdate:modelValue": _cache[18] || (_cache[18] = ($event) => Vue.unref(currentItem).suffixDialogName = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      Vue.createElementVNode("div", _hoisted_3, [
                        _cache[69] || (_cache[69] = Vue.createElementVNode("span", { class: "field-label" }, "弹层来源", -1)),
                        Vue.createVNode(_component_el_radio_group, {
                          modelValue: Vue.unref(currentItem).dialogSource,
                          "onUpdate:modelValue": _cache[19] || (_cache[19] = ($event) => Vue.unref(currentItem).dialogSource = $event),
                          size: "small"
                        }, {
                          default: Vue.withCtx(() => [
                            Vue.createVNode(_component_el_radio_button, { value: "global" }, {
                              default: Vue.withCtx(() => _cache[67] || (_cache[67] = [
                                Vue.createTextVNode("全局")
                              ])),
                              _: 1
                            }),
                            Vue.createVNode(_component_el_radio_button, { value: "custom" }, {
                              default: Vue.withCtx(() => _cache[68] || (_cache[68] = [
                                Vue.createTextVNode("自定义")
                              ])),
                              _: 1
                            })
                          ]),
                          _: 1
                        }, 8, ["modelValue"])
                      ]),
                      Vue.createElementVNode("div", _hoisted_4, [
                        _cache[70] || (_cache[70] = Vue.createElementVNode("span", { class: "field-label" }, "选择弹层", -1)),
                        Vue.createVNode(_component_el_select, {
                          modelValue: Vue.unref(currentItem).suffixDialogId,
                          "onUpdate:modelValue": _cache[20] || (_cache[20] = ($event) => Vue.unref(currentItem).suffixDialogId = $event),
                          placeholder: "请选择弹层",
                          filterable: "",
                          loading: Vue.unref(dialogLoading),
                          clearable: "",
                          style: { "width": "100%" }
                        }, {
                          default: Vue.withCtx(() => [
                            (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(Vue.unref(dialogOptions), (dialog) => {
                              return Vue.openBlock(), Vue.createBlock(_component_el_option, {
                                key: dialog.id,
                                label: dialog.name,
                                value: dialog.id
                              }, null, 8, ["label", "value"]);
                            }), 128))
                          ]),
                          _: 1
                        }, 8, ["modelValue", "loading"])
                      ]),
                      Vue.unref(currentItem).dialogSource == "global" && Vue.unref(currentItem).suffixDialogId ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 0 }, [
                        Vue.createElementVNode("div", _hoisted_5, [
                          _cache[74] || (_cache[74] = Vue.createElementVNode("span", { class: "field-label" }, "选择模式", -1)),
                          Vue.createVNode(_component_el_radio_group, {
                            modelValue: Vue.unref(currentItem).selectionMode,
                            "onUpdate:modelValue": _cache[21] || (_cache[21] = ($event) => Vue.unref(currentItem).selectionMode = $event),
                            size: "small"
                          }, {
                            default: Vue.withCtx(() => [
                              Vue.createVNode(_component_el_radio_button, { value: "none" }, {
                                default: Vue.withCtx(() => _cache[71] || (_cache[71] = [
                                  Vue.createTextVNode("无")
                                ])),
                                _: 1
                              }),
                              Vue.createVNode(_component_el_radio_button, { value: "single" }, {
                                default: Vue.withCtx(() => _cache[72] || (_cache[72] = [
                                  Vue.createTextVNode("单选")
                                ])),
                                _: 1
                              }),
                              Vue.createVNode(_component_el_radio_button, { value: "multiple" }, {
                                default: Vue.withCtx(() => _cache[73] || (_cache[73] = [
                                  Vue.createTextVNode("多选")
                                ])),
                                _: 1
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        Vue.unref(currentItem).selectionMode != "none" ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 0 }, [
                          Vue.createElementVNode("div", _hoisted_6, [
                            _cache[75] || (_cache[75] = Vue.createElementVNode("span", { class: "field-label" }, "反显格式", -1)),
                            Vue.createVNode(Vue.unref(FormulaEditorInput.default), {
                              title: "反显格式配置",
                              formulaConf: Vue.unref(currentItem).displayFormat,
                              "onUpdate:formulaConf": _cache[22] || (_cache[22] = ($event) => Vue.unref(currentItem).displayFormat = $event),
                              modelValue: Vue.unref(currentItem).displayFormatText,
                              "onUpdate:modelValue": _cache[23] || (_cache[23] = ($event) => Vue.unref(currentItem).displayFormatText = $event),
                              fieldList: Vue.unref(tableFields)
                            }, null, 8, ["formulaConf", "modelValue", "fieldList"])
                          ]),
                          Vue.createElementVNode("div", _hoisted_7, [
                            _cache[76] || (_cache[76] = Vue.createElementVNode("span", {
                              class: "field-label",
                              style: { "width": "100%", "text-align": "left" }
                            }, "选取后表单赋值", -1)),
                            Vue.createVNode(FieldSetMapping.default, {
                              modelValue: Vue.unref(currentItem).fieldMapping,
                              "onUpdate:modelValue": _cache[24] || (_cache[24] = ($event) => Vue.unref(currentItem).fieldMapping = $event),
                              fieldLabel: "赋值表单字段",
                              valueLabel: "列表字段",
                              valueOptions: Vue.unref(tableFields),
                              valueSelectMode: "",
                              size: "small"
                            }, null, 8, ["modelValue", "valueOptions"])
                          ])
                        ], 64)) : Vue.createCommentVNode("", true),
                        Vue.createElementVNode("div", _hoisted_8, [
                          _cache[77] || (_cache[77] = Vue.createElementVNode("span", { class: "field-label" }, "回调事件", -1)),
                          Vue.createVNode(OnlyFLowConfigButton.default, {
                            config: Vue.unref(currentItem).callbackEventConfig,
                            onConfirm: handleOnlyFlowConfirm
                          }, null, 8, ["config"])
                        ])
                      ], 64)) : Vue.createCommentVNode("", true)
                    ])) : Vue.unref(currentItem).suffixButton == "custom" ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_9, [
                      Vue.createElementVNode("div", _hoisted_10, [
                        _cache[78] || (_cache[78] = Vue.createElementVNode("span", { class: "field-label" }, "按钮名称", -1)),
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).suffixButtonName,
                          "onUpdate:modelValue": _cache[25] || (_cache[25] = ($event) => Vue.unref(currentItem).suffixButtonName = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      Vue.createElementVNode("div", _hoisted_11, [
                        _cache[79] || (_cache[79] = Vue.createElementVNode("span", { class: "field-label" }, "按钮事件", -1)),
                        Vue.createVNode(EventConfigButton.default, {
                          config: Vue.unref(currentItem).suffixButtonConfig,
                          onConfirm: handleSuffixButtonConfirm
                        }, null, 8, ["config"])
                      ])
                    ])) : Vue.createCommentVNode("", true)
                  ], 64)) : Vue.createCommentVNode("", true),
                  Vue.unref(currentItem).fieldType === "number" ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 5 }, [
                    Vue.createVNode(_component_el_form_item, { label: "格式" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_select, {
                          modelValue: Vue.unref(currentItem).format,
                          "onUpdate:modelValue": _cache[26] || (_cache[26] = ($event) => Vue.unref(currentItem).format = $event),
                          onChange: handleFormatChange
                        }, {
                          default: Vue.withCtx(() => [
                            Vue.createVNode(_component_el_option, {
                              label: "数值",
                              value: "number"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "金额(元)",
                              value: "yuan"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "金额(万元)",
                              value: "wan"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "金额(百万元)",
                              value: "million"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "百分比",
                              value: "percentage"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "千分比",
                              value: "permillage"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "万分比",
                              value: "permillion"
                            })
                          ]),
                          _: 1
                        }, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, null, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_checkbox, {
                          modelValue: Vue.unref(currentItem).hasDecimalPlaces,
                          "onUpdate:modelValue": _cache[27] || (_cache[27] = ($event) => Vue.unref(currentItem).hasDecimalPlaces = $event),
                          label: "保留小数位数"
                        }, null, 8, ["modelValue"]),
                        Vue.unref(currentItem).hasDecimalPlaces ? (Vue.openBlock(), Vue.createBlock(_component_el_input_number, {
                          key: 0,
                          style: { "margin-left": "10px", "width": "80px" },
                          modelValue: Vue.unref(currentItem).decimalPlaces,
                          "onUpdate:modelValue": _cache[28] || (_cache[28] = ($event) => Vue.unref(currentItem).decimalPlaces = $event),
                          min: 0,
                          max: 10,
                          "controls-position": "right",
                          size: "small"
                        }, null, 8, ["modelValue"])) : Vue.createCommentVNode("", true)
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, { label: "数值范围" }, {
                      default: Vue.withCtx(() => [
                        Vue.createElementVNode("div", _hoisted_12, [
                          Vue.createVNode(_component_el_input_number, {
                            style: { "width": "100%" },
                            modelValue: Vue.unref(currentItem).minValue,
                            "onUpdate:modelValue": _cache[29] || (_cache[29] = ($event) => Vue.unref(currentItem).minValue = $event),
                            "controls-position": "right",
                            placeholder: "最小值"
                          }, null, 8, ["modelValue"]),
                          _cache[80] || (_cache[80] = Vue.createElementVNode("span", { style: { "color": "#909399", "font-size": "14px" } }, "-", -1)),
                          Vue.createVNode(_component_el_input_number, {
                            style: { "width": "100%" },
                            modelValue: Vue.unref(currentItem).maxValue,
                            "onUpdate:modelValue": _cache[30] || (_cache[30] = ($event) => Vue.unref(currentItem).maxValue = $event),
                            "controls-position": "right",
                            max: 99999999999999,
                            placeholder: "最大值"
                          }, null, 8, ["modelValue"])
                        ])
                      ]),
                      _: 1
                    })
                  ], 64)) : Vue.createCommentVNode("", true),
                  Vue.unref(currentItem).fieldType === "text" || Vue.unref(currentItem).fieldType === "number" ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 6 }, [
                    Vue.createVNode(_component_el_form_item, { label: "前置内容" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).prefix,
                          "onUpdate:modelValue": _cache[31] || (_cache[31] = ($event) => Vue.unref(currentItem).prefix = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, { label: "后置内容" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).suffix,
                          "onUpdate:modelValue": _cache[32] || (_cache[32] = ($event) => Vue.unref(currentItem).suffix = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    })
                  ], 64)) : Vue.createCommentVNode("", true),
                  Vue.unref(currentItem).fieldType === "select" || Vue.unref(currentItem).fieldType === "multipleSelection" || Vue.unref(currentItem).fieldType === "radio" || Vue.unref(currentItem).fieldType === "checkbox" ? (Vue.openBlock(), Vue.createBlock(OptionConfig.default, {
                    key: 7,
                    modelValue: Vue.unref(currentItem).optionConfig,
                    "onUpdate:modelValue": _cache[33] || (_cache[33] = ($event) => Vue.unref(currentItem).optionConfig = $event)
                  }, null, 8, ["modelValue"])) : Vue.createCommentVNode("", true),
                  Vue.unref(currentItem).fieldType === "cascader" ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 8 }, [
                    Vue.createVNode(_component_el_form_item, { label: "数据源" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(DataSourceSelect.default, {
                          modelValue: Vue.unref(currentItem).optionConfig.dataSourceValue,
                          "onUpdate:modelValue": _cache[34] || (_cache[34] = ($event) => Vue.unref(currentItem).optionConfig.dataSourceValue = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createElementVNode("div", _hoisted_13, [
                      Vue.createElementVNode("div", _hoisted_14, [
                        _cache[81] || (_cache[81] = Vue.createElementVNode("span", { class: "field-label" }, "显示字段", -1)),
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).optionConfig.displayField,
                          "onUpdate:modelValue": _cache[35] || (_cache[35] = ($event) => Vue.unref(currentItem).optionConfig.displayField = $event),
                          placeholder: "如：optName"
                        }, null, 8, ["modelValue"])
                      ]),
                      Vue.createElementVNode("div", _hoisted_15, [
                        _cache[82] || (_cache[82] = Vue.createElementVNode("span", { class: "field-label" }, "值字段", -1)),
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).optionConfig.valueField,
                          "onUpdate:modelValue": _cache[36] || (_cache[36] = ($event) => Vue.unref(currentItem).optionConfig.valueField = $event),
                          placeholder: "如：optCode"
                        }, null, 8, ["modelValue"])
                      ]),
                      Vue.createElementVNode("div", _hoisted_16, [
                        _cache[83] || (_cache[83] = Vue.createElementVNode("span", { class: "field-label" }, "主键字段", -1)),
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).optionConfig.idField,
                          "onUpdate:modelValue": _cache[37] || (_cache[37] = ($event) => Vue.unref(currentItem).optionConfig.idField = $event),
                          placeholder: "如：id"
                        }, null, 8, ["modelValue"])
                      ]),
                      Vue.createElementVNode("div", _hoisted_17, [
                        _cache[84] || (_cache[84] = Vue.createElementVNode("span", { class: "field-label" }, "父主键字段", -1)),
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).optionConfig.pidField,
                          "onUpdate:modelValue": _cache[38] || (_cache[38] = ($event) => Vue.unref(currentItem).optionConfig.pidField = $event),
                          placeholder: "如：pid"
                        }, null, 8, ["modelValue"])
                      ])
                    ])
                  ], 64)) : Vue.createCommentVNode("", true),
                  Vue.unref(currentItem).fieldType === "cascader" || Vue.unref(currentItem).fieldType === "area" || Vue.unref(currentItem).fieldType === "industry" ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 9 }, [
                    Vue.createVNode(_component_el_form_item, { label: "是否多选" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_switch, {
                          modelValue: Vue.unref(currentItem).multiple,
                          "onUpdate:modelValue": _cache[39] || (_cache[39] = ($event) => Vue.unref(currentItem).multiple = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, { label: "显示完整路径" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_switch, {
                          modelValue: Vue.unref(currentItem).showFullPath,
                          "onUpdate:modelValue": _cache[40] || (_cache[40] = ($event) => Vue.unref(currentItem).showFullPath = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, { label: "可选择任意一级" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_switch, {
                          modelValue: Vue.unref(currentItem).checkStrictly,
                          "onUpdate:modelValue": _cache[41] || (_cache[41] = ($event) => Vue.unref(currentItem).checkStrictly = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, { label: "最大显示层级" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_input_number, {
                          modelValue: Vue.unref(currentItem).maxLevel,
                          "onUpdate:modelValue": _cache[42] || (_cache[42] = ($event) => Vue.unref(currentItem).maxLevel = $event),
                          min: 1,
                          style: { "width": "100%" }
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    })
                  ], 64)) : Vue.createCommentVNode("", true),
                  Vue.unref(currentItem).fieldType === "select" || Vue.unref(currentItem).fieldType === "multipleSelection" ? (Vue.openBlock(), Vue.createBlock(_component_el_form_item, {
                    key: 10,
                    label: "标签效果"
                  }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_select, {
                        modelValue: Vue.unref(currentItem).optionStyle,
                        "onUpdate:modelValue": _cache[43] || (_cache[43] = ($event) => Vue.unref(currentItem).optionStyle = $event)
                      }, {
                        default: Vue.withCtx(() => [
                          Vue.createVNode(_component_el_option, {
                            label: "默认",
                            value: "default"
                          })
                        ]),
                        _: 1
                      }, 8, ["modelValue"])
                    ]),
                    _: 1
                  })) : Vue.createCommentVNode("", true),
                  Vue.unref(currentItem).fieldType === "date" ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 11 }, [
                    Vue.createVNode(_component_el_form_item, { label: "显示格式" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_select, {
                          modelValue: Vue.unref(currentItem).dateType,
                          "onUpdate:modelValue": _cache[44] || (_cache[44] = ($event) => Vue.unref(currentItem).dateType = $event)
                        }, {
                          default: Vue.withCtx(() => [
                            Vue.createVNode(_component_el_option, {
                              label: "年-月-日",
                              value: "date"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "年-周",
                              value: "week"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "年-月",
                              value: "month"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "年",
                              value: "year"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "年-月-日 时:分:秒",
                              value: "datetime"
                            })
                          ]),
                          _: 1
                        }, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, { label: "数据格式" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_select, {
                          modelValue: Vue.unref(currentItem).dateValueType,
                          "onUpdate:modelValue": _cache[45] || (_cache[45] = ($event) => Vue.unref(currentItem).dateValueType = $event)
                        }, {
                          default: Vue.withCtx(() => [
                            Vue.createVNode(_component_el_option, {
                              label: "字符型",
                              value: "string"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "日期型",
                              value: "date"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "时间戳",
                              value: "timestamp"
                            })
                          ]),
                          _: 1
                        }, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, { label: "可选范围" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_select, {
                          modelValue: Vue.unref(currentItem).dateRange,
                          "onUpdate:modelValue": _cache[46] || (_cache[46] = ($event) => Vue.unref(currentItem).dateRange = $event),
                          "empty-values": [null, void 0],
                          "value-on-clear": null
                        }, {
                          default: Vue.withCtx(() => [
                            Vue.createVNode(_component_el_option, {
                              label: "不限",
                              value: ""
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "今天及以前",
                              value: "beforeToday"
                            }),
                            Vue.createVNode(_component_el_option, {
                              label: "今天及以后",
                              value: "afterToday"
                            })
                          ]),
                          _: 1
                        }, 8, ["modelValue"])
                      ]),
                      _: 1
                    })
                  ], 64)) : Vue.createCommentVNode("", true),
                  Vue.unref(isSysSelect) ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 12 }, [
                    Vue.createVNode(_component_el_form_item, { label: "弹层标题" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).dialogConfig.dialogTitle,
                          "onUpdate:modelValue": _cache[47] || (_cache[47] = ($event) => Vue.unref(currentItem).dialogConfig.dialogTitle = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, { label: "弹层参数" }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_ParamsConfig, {
                          modelValue: Vue.unref(currentItem).dialogConfig.dialogParams,
                          "onUpdate:modelValue": _cache[48] || (_cache[48] = ($event) => Vue.unref(currentItem).dialogConfig.dialogParams = $event)
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    }),
                    Vue.createVNode(_component_el_form_item, {
                      label: "选择模式",
                      size: "small"
                    }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_radio_group, {
                          modelValue: Vue.unref(currentItem).dialogConfig.selectionMode,
                          "onUpdate:modelValue": _cache[49] || (_cache[49] = ($event) => Vue.unref(currentItem).dialogConfig.selectionMode = $event)
                        }, {
                          default: Vue.withCtx(() => [
                            Vue.createVNode(_component_el_radio_button, { value: "single" }, {
                              default: Vue.withCtx(() => _cache[85] || (_cache[85] = [
                                Vue.createTextVNode("单选")
                              ])),
                              _: 1
                            }),
                            Vue.createVNode(_component_el_radio_button, { value: "multiple" }, {
                              default: Vue.withCtx(() => _cache[86] || (_cache[86] = [
                                Vue.createTextVNode("多选")
                              ])),
                              _: 1
                            })
                          ]),
                          _: 1
                        }, 8, ["modelValue"])
                      ]),
                      _: 1
                    })
                  ], 64)) : Vue.createCommentVNode("", true),
                  !Vue.unref(isSysSelect) ? (Vue.openBlock(), Vue.createBlock(_component_el_form_item, {
                    key: 13,
                    label: "事件配置"
                  }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(EventConfigButton.default, {
                        config: Vue.unref(currentItem).eventConfig,
                        onConfirm: handleEventConfirm
                      }, null, 8, ["config"])
                    ]),
                    _: 1
                  })) : Vue.createCommentVNode("", true),
                  Vue.createVNode(_component_el_form_item, { label: "是否必填" }, {
                    default: Vue.withCtx(() => [
                      Vue.createElementVNode("div", _hoisted_18, [
                        Vue.createVNode(_component_el_switch, {
                          modelValue: Vue.unref(currentItem).required,
                          "onUpdate:modelValue": _cache[50] || (_cache[50] = ($event) => Vue.unref(currentItem).required = $event)
                        }, null, 8, ["modelValue"]),
                        Vue.unref(currentItem).required ? (Vue.openBlock(), Vue.createBlock(_component_el_input, {
                          key: 0,
                          modelValue: Vue.unref(currentItem).requiredMessage,
                          "onUpdate:modelValue": _cache[51] || (_cache[51] = ($event) => Vue.unref(currentItem).requiredMessage = $event),
                          placeholder: "请输入提示信息",
                          style: { "flex": "1" }
                        }, null, 8, ["modelValue"])) : Vue.createCommentVNode("", true)
                      ])
                    ]),
                    _: 1
                  }),
                  !Vue.unref(isSysSelect) ? (Vue.openBlock(), Vue.createBlock(_component_el_form_item, {
                    key: 14,
                    label: "校验规则"
                  }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_select, {
                        modelValue: Vue.unref(currentItem).validationType,
                        "onUpdate:modelValue": _cache[52] || (_cache[52] = ($event) => Vue.unref(currentItem).validationType = $event),
                        placeholder: "选择校验规则",
                        onChange: handleValidationChange,
                        style: { "margin-bottom": "12px" }
                      }, {
                        default: Vue.withCtx(() => [
                          Vue.createVNode(_component_el_option, {
                            label: "无",
                            value: "none"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "身份证",
                            value: "idCard"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "统一社会信用代码",
                            value: "creditCode"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "邮编",
                            value: "zipCode"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "传真",
                            value: "fax"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "银行卡号",
                            value: "bankCard"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "邮箱",
                            value: "email"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "手机",
                            value: "mobile"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "座机",
                            value: "phone"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "手机+座机",
                            value: "mobilePhone"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "条件表达式",
                            value: "regex"
                          }),
                          Vue.createVNode(_component_el_option, {
                            label: "自定义",
                            value: "custom"
                          })
                        ]),
                        _: 1
                      }, 8, ["modelValue"]),
                      Vue.unref(currentItem).validationType === "regex" ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_19, [
                        Vue.createVNode(ConditionConfigButton.default, {
                          condition: Vue.unref(currentItem).validationPattern,
                          onConfirm: (data) => Vue.unref(currentItem).validationPattern = data
                        }, null, 8, ["condition", "onConfirm"])
                      ])) : Vue.createCommentVNode("", true),
                      Vue.unref(currentItem).validationType === "custom" ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_20, [
                        Vue.createVNode(DataSourceSelect.default, {
                          modelValue: Vue.unref(currentItem).validationDataSource,
                          "onUpdate:modelValue": _cache[53] || (_cache[53] = ($event) => Vue.unref(currentItem).validationDataSource = $event)
                        }, null, 8, ["modelValue"])
                      ])) : Vue.createCommentVNode("", true),
                      Vue.unref(currentItem).validationType !== "none" ? (Vue.openBlock(), Vue.createBlock(_component_el_input, {
                        key: 2,
                        modelValue: Vue.unref(currentItem).validationMessage,
                        "onUpdate:modelValue": _cache[54] || (_cache[54] = ($event) => Vue.unref(currentItem).validationMessage = $event),
                        placeholder: getValidationPlaceholder(),
                        style: { "margin-bottom": "12px" }
                      }, null, 8, ["modelValue", "placeholder"])) : Vue.createCommentVNode("", true)
                    ]),
                    _: 1
                  })) : Vue.createCommentVNode("", true)
                ]),
                _: 1
              }, 8, ["model"]))
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["modelValue"]);
    };
  }
};
const widgets = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-c6d9f6a6"]]);
exports.default = widgets;
